> ## Documentation Index
> Fetch the complete documentation index at: https://help.vori.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List processed store product rules



## OpenAPI

````yaml /api/openapi.json get /v1/store-products/rules
openapi: 3.0.0
info:
  title: Vori API
  description: >-
    Read and manage your store catalog, vendors, and inventory. Requests require
    a bearer token; see "Connect to the Vori REST API" for how to obtain one.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.vori.com
    description: production
security: []
tags: []
paths:
  /v1/store-products/rules:
    get:
      tags:
        - Store products
      summary: List processed store product rules
      operationId: listProcessedStoreProductRules
      parameters:
        - name: state
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListProcessedStoreProductRuleDto'
        '403':
          description: ''
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/InsufficientPermissionsError'
                  - $ref: '#/components/schemas/NoBannerAssociationError'
      security:
        - bearer: []
components:
  schemas:
    ListProcessedStoreProductRuleDto:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ProcessedStoreProductRuleDto'
        rowCount:
          type: number
      required:
        - data
    InsufficientPermissionsError:
      type: object
      properties:
        error_code:
          type: string
          enum:
            - insufficient_permissions
        error_details:
          $ref: '#/components/schemas/InsufficientPermissionsErrorDetails'
      required:
        - error_code
        - error_details
    NoBannerAssociationError:
      type: object
      properties:
        error_code:
          type: string
          enum:
            - no_banner_association
      required:
        - error_code
    ProcessedStoreProductRuleDto:
      type: object
      properties:
        id:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        field_rules:
          $ref: '#/components/schemas/FieldRulesDto'
        rule_ids:
          type: array
          items:
            type: string
        store_product_id:
          type: string
        rules:
          type: array
          items:
            $ref: '#/components/schemas/StoreProductRuleSummaryDto'
      required:
        - id
        - created_at
        - updated_at
        - field_rules
        - rule_ids
        - store_product_id
    InsufficientPermissionsErrorDetails:
      type: object
      properties:
        resource:
          allOf:
            - $ref: '#/components/schemas/Resource'
        action:
          allOf:
            - $ref: '#/components/schemas/Action'
      required:
        - resource
        - action
    FieldRulesDto:
      type: object
      properties: {}
    StoreProductRuleSummaryDto:
      type: object
      properties:
        id:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        name:
          type: string
        store_id:
          type: string
          nullable: true
        banner_id:
          type: string
        status:
          allOf:
            - $ref: '#/components/schemas/StoreProductRuleStatus'
        priority:
          type: integer
        target_values:
          $ref: '#/components/schemas/TargetValuesDto'
        type:
          allOf:
            - $ref: '#/components/schemas/StoreProductRuleType'
        group_sales_reporting_type:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/SalesReportingType'
        group_inventory_count_type:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/InventoryCountType'
    Resource:
      type: string
      enum:
        - '*'
        - accounting_integration
        - agent_chats
        - asynchronous_tasks
        - banners
        - blackhawk_transactions
        - capabilities
        - coupons
        - custom_quick_actions
        - datacap_transactions
        - departments
        - discounts
        - ditto_auth_tokens
        - edge_agents
        - electronic_shelf_labels
        - employees
        - files
        - food_modifiers
        - gift_cards
        - gl_code_mappings
        - house_accounts
        - inventory
        - inventory_sessions
        - invoices
        - item_modifiers
        - label_dimension_sets
        - label_sheet_profiles
        - lanes
        - loyalty_bonuses
        - loyalty_campaigns
        - loyalty_rewards
        - notification_templates
        - offers
        - pos_banner_configurations
        - pos_orders
        - pos_tills
        - price_tags
        - product_ranges
        - products
        - promotions
        - purchase_orders
        - receiving
        - reporting
        - revision_sessions
        - revisions
        - roles
        - shopper_tags
        - shoppers
        - store_product_inventory_counts
        - store_product_rules
        - store_product_tag_templates
        - store_snap_incentive_program_coupons
        - store_vendor_merge_requests
        - store_vendor_product_merge_requests
        - store_vendor_products
        - store_vendors
        - stores
        - tag_printings
        - tag_template_presets
        - tag_templates
        - tax_rates
        - users
        - variable_weights
        - vendor_merge_requests
        - vendor_product_merge_requests
        - vendors
        - wallet_payments
        - wic_products
    Action:
      type: string
      enum:
        - '*'
        - cancel
        - check_in
        - create
        - delete
        - read
        - record_events
        - refund
        - restart
        - update
        - void
    StoreProductRuleStatus:
      type: string
      enum:
        - active
        - inactive
    TargetValuesDto:
      type: object
      properties:
        properties:
          $ref: '#/components/schemas/TargetValuesPropertiesDto'
      required:
        - properties
    StoreProductRuleType:
      type: string
      enum:
        - group
        - standard
    SalesReportingType:
      type: string
      enum:
        - individual
        - individual_sum
    InventoryCountType:
      type: string
      enum:
        - individual
        - individual_sum
    TargetValuesPropertiesDto:
      type: object
      properties:
        name:
          type: string
        pack_size:
          type: integer
          nullable: true
        unit_volume_string:
          type: string
          nullable: true
        unit_volume_uom_name:
          type: string
          nullable: true
        unit_of_measure_amount:
          type: string
          nullable: true
          pattern: ^[0-9]+(\.[0-9]+)?$
          example: '199.99'
        target_margin:
          type: string
          nullable: true
          pattern: ^[0-9]+(\.[0-9]+)?$
          example: '199.99'
        country_of_origin:
          type: string
          nullable: true
          maxLength: 3
          minLength: 3
        loyalty_points_per_dollar:
          type: string
          nullable: true
          pattern: ^[0-9]+(\.[0-9]+)?$
          example: '199.99'
        store_department_id:
          type: string
          nullable: true
        min_customer_age:
          type: integer
          nullable: true
        ebt_enabled:
          type: boolean
        ecommerce_enabled:
          type: boolean
        prompt_for_quantity:
          type: boolean
        variable_sale_price:
          type: boolean
        is_tippable:
          type: boolean
        manual_item:
          type: boolean
        brand_string:
          type: string
          nullable: true
        base_retail_price:
          type: string
          nullable: true
          pattern: ^[0-9]+(\.[0-9]+)?$
          example: '199.99'
        print_physical_tag:
          type: boolean
        sync_to_deli_scales:
          type: boolean
        retail_price_uom_id:
          type: string
          nullable: true
        wic_override_plu:
          type: string
          nullable: true
        is_blackhawk_gift_card:
          type: boolean
        snap_incentive_earnable:
          type: boolean
        snap_incentive_redeemable:
          type: boolean
        shelf_life_days:
          type: integer
          nullable: true
        discount_restrictions:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/DiscountRestriction'
        tax_rate_ids:
          type: array
          items:
            type: string
        variable_weight_ids:
          type: array
          items:
            type: string
        item_modifier_ids:
          type: array
          items:
            type: string
        food_modifier_ids:
          type: array
          items:
            type: string
        tag_templates:
          type: array
          items:
            $ref: '#/components/schemas/TagTemplateAssignmentDto'
    DiscountRestriction:
      type: string
      enum:
        - NO_DISCOUNT_WHEN_ON_PROMOTION
        - NO_DISCOUNTING
        - NO_DOUBLE_DISCOUNTING
    TagTemplateAssignmentDto:
      type: object
      properties:
        tag_template_type:
          type: string
        tag_template_id:
          type: string
      required:
        - tag_template_type
        - tag_template_id
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

## Related topics

- [Processed store product rule](/api/models/processed-store-product-rule.md)
- [Get processed store product rule](/api-reference/store-products/get-processed-store-product-rule.md)
- [List store product history](/api-reference/store-products/list-store-product-history.md)
